package main

import (
	"fmt"
	"log"
	"net/http"
)

func getRoot(w http.ResponseWriter, r *http.Request) {
	fmt.Printf("Received connection\n")
	fmt.Fprintln(w, "Hello!")
}

func getCMD(w http.ResponseWriter, r *http.Request) {
	fmt.Printf("Received connection!\n")
	fmt.Fprintln(w, "This is a test")
}

func main() {
	http.HandleFunc("/", getRoot)
	http.HandleFunc("/cmd", getCMD)

	err := http.ListenAndServe(":8080", nil)
	if err != nil {
		log.Fatal(err)
	}
}
