package main

import (
	"fmt"
	"time"
)

type Person struct {
	name    string
	country string
}

type yearType int

func (p Person) Create() (newP *Person) {
	var newPerson = new(Person)
	newPerson.name = "John"
	newPerson.country = "Spain"
	return newPerson
}

func (y yearType) currentYear() (year yearType) {
	t := time.Now()
	ye := t.Year()
	yea := yearType(ye)
	return yea
}

func main() {
	p := Person{}
	var ourYear yearType
	newP := p.Create()
	fmt.Printf("Hello, I am %s and live in %s and the current year is %d\n", newP.name, newP.country, ourYear.currentYear())
}
